var path, where;

function fnInitList(path, where) {
    window.path = path;
    window.where = where || {};
    fnInitVar();
    fnInitPullRefresh();
    fnInitPushRefresh();
};

var list, dot, bmap, lbs;

function fnInitVar() {
    list = $api.byId('list');
    var template = $api.byId('template');
    if (template) {
        dot = doT.template(template.innerHTML);
    }

};

function fnInitPullRefresh() {
  api.setCustomRefreshHeaderInfo({
  bgColor: '#FFFFFF',
  isScale: false,
  refreshHeaderHeight: 100,
  loadAnimInterval:200,
  image: {
      pull: [
        'widget://image/refresh1.png',
      ],
      load: [
        'widget://image/refresh2.png',
      ]
  }
}, function() {
  api.refreshHeaderLoadDone();
  fnGetList(true);
  if(where=="home"){
      shouyetop();
  }
});
};

function fnInitPushRefresh() {
    api.addEventListener({
        name: 'scrolltobottom',
        extra:{
            threshold:600          //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function(ret, err) {
        fnGetList(false);
    });
};

var LIMIT = 10;
var skip = 0,
    isEnd = false,
    isLoading = false;

function fnGetList(isPull) {
    if (isPull) {
        skip = 0;
        isEnd = false;
    }
    if(isEnd){
        $api.css($api.byId('tobottom'),'display:block;');
    }
    if (isEnd || isLoading) {
        return;
    }
    isLoading = true;
    fnGet2($api.getStorage('type'),skip,LIMIT,$api.getStorage('message'),function(ret, err) {
        isLoading = false;
        api.refreshHeaderLoadDone();
        if (!ret || ret.data.length < LIMIT) {
            isEnd = true;
        }
        skip += LIMIT;
        if(ret.data == ''){
          $api.css($api.byId('kong'),'display:block;');
        }
        fnShowList(ret.data, isPull);
    });
};

function fnShowList(datas, isPull) {
  if(where != "home"){
      if(datas == ''){
        if(where.shopType == 8){
          $api.html($api.byId('list'),'<center><h1>当前数据为空,请稍后访问</h1></center>');
        }
        $api.css($api.byId('link'),'display:none;');
        $api.css($api.byId('tobottom'),'display:none;');
        return false;
      }
  }
    if (isPull) {
        list.innerHTML = dot(datas);
    } else {
        list.innerHTML += dot(datas);
    }

    fnReadyOpenWin();
};

function shouyetop(){
  api.ajax({
      url: 'http://fx.kunkunma.com/fenxiao/api/shouyetop.php',
      method: 'get',
      data: {
          values: {
              name: 'haha'
          }
      }
  },function(ret, err){
      if (ret) {
        var jiage=ret[0].jiage;
        var youhui=ret[0].youhui;
        //价格大于1000就省略小数点后两位
          if(jiage>=1000){
          jiage= Math.floor(jiage*10)/10;
          }
          if(youhui>=1000){
          youhui= Math.floor(youhui*10)/10;
          }
          var a=ret[0].title;
          a=a.substring(0,12);
          //alert( JSON.stringify( ret ) );
          $api.html($api.byId("shouyetoptitle"),"<span style='font-size:16px;color:#333;'>"+a+"···</span>");
          $api.attr($api.byId("shouyetopimg"), 'src', ret[0].itempic+"_120x120q90");
          $api.html($api.byId("shouyetopdesc"), "原价:<span style='color:#B26275'>&#165;"+jiage+"</span>&nbsp;券后:<span style='color:#E06C75'>&#165;"+youhui+"</span>&nbsp;佣金:<span style='color:#F74035'>&#165;"+Math.floor(ret[0].bili*youhui*0.45)/100)+"</span>";
          $api.attr($api.byId("shouyetopid"), 'win', "shop");
          $api.attr($api.byId("shouyetopid"), 'param', '{"itemid":"'+ret[0].itemid+'","jiage":"'+jiage+'","yongjin":"'+(Math.floor(ret[0].bili*youhui*0.45)/100)+'"}');

      } else {
        //  alert( JSON.stringify( err ) );
      }
  });

}
