
function fnInitList() {
    fnInitVar();
    fnInitPullRefresh();
    fnInitPushRefresh();
};

var list, dot, bmap, lbs;
function fnInitVar() {
    list = $api.byId('evaluation');
    var template = $api.byId('evaluationtmpl');
    if (template) {
        dot = doT.template(template.innerHTML);
    }
};

function fnInitPullRefresh() {
  api.setCustomRefreshHeaderInfo({
  bgColor: '#FFFFFF',
  isScale: false,
  refreshHeaderHeight: 100,
  loadAnimInterval:200,
  image: {
      pull: [
        'widget://image/refresh1.png',
      ],
      load: [
        'widget://image/refresh2.png',
      ]
  }
}, function() {
  api.refreshHeaderLoadDone();
  fnGetList(true);
});
};



function fnInitPushRefresh() {
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        fnGetList(false);
    });
};

var LIMIT = 100;
var skip = 0,
    isEnd = false,
    isLoading = false;

function fnGetList(isPull) {
    if (isPull) {
        skip = 0;
        isEnd = false;
    }

    // if(isEnd){
    //     $api.css($api.byId('tobottom'),'display:block;');
    // }
    if (isEnd || isLoading) {
        return;
    }
    isLoading = true;
    api.showProgress({
        title: '读取中',
        modal: false
    });
    fnGetNorder(skip,LIMIT,function(ret, err) {
        isLoading = false;
        api.hideProgress();
        api.refreshHeaderLoadDone();
        //console.log(JSON.stringify(ret));
        if (!ret || ret.data.length < LIMIT) {
            isEnd = true;
        }
        skip += LIMIT;
        fnShowList(ret.data, isPull);
    });
};

function fnShowList(datas, isPull) {
    if (isPull) {
        list.innerHTML = dot(datas);
    } else {
        list.innerHTML += dot(datas);
    }

    fnReadyOpenWin();
};
