var calUtil = {
  //当前日历显示的年份
  showYear:2017,
  //当前日历显示的月份
  showMonth:1,
  //当前日历显示的天数
  showDays:1,
  eventName:"load",

  //初始化日历
  init:function(signList,s){
    calUtil.setMonthAndDay();
    if (typeof(s) == 'undefined'){
    }else{
      signList.splice('','',s);
    }
    calUtil.draw(signList);
    calUtil.bindEnvent(signList);
  },
  draw:function(signList){
    //绑定日历
    //alert(signList.length);
    //console.log(signList);
var da=new Date();
var day=da.getDate();
    var str = calUtil.drawCal(calUtil.showYear,calUtil.showMonth,signList);
    $("#calendar").html(str);
    //绑定日历表头
    var calendarName=calUtil.showYear+"年"+calUtil.showMonth+"月"+day+"日";
    $(".calendar_month_span").html(calendarName);
  },
  //绑定事件
  bindEnvent:function(signList){

    $(".calendar_record").click(function(){
      var da=new Date();
      var day=da.getDate();

    if($(this).html()==day){
      //只有日期是今天才触发签到
      var tmp = $(this).html();
       calUtil.init(signList,tmp);

       qiandao();

    }




    });
  },
  //获取当前选择的年月
  setMonthAndDay:function(){
    switch(calUtil.eventName)
    {
      case "load":
        var current = new Date();
        calUtil.showYear=current.getFullYear();
        calUtil.showMonth=current.getMonth() + 1;
        break;
      case "prev":
        var nowMonth=$(".calendar_month_span").html().split("年")[1].split("月")[0];
        calUtil.showMonth=parseInt(nowMonth)-1;
        if(calUtil.showMonth==0)
        {
            calUtil.showMonth=12;
            calUtil.showYear-=1;
        }
        break;
      case "next":
        var nowMonth=$(".calendar_month_span").html().split("年")[1].split("月")[0];
        calUtil.showMonth=parseInt(nowMonth)+1;
        if(calUtil.showMonth==13)
        {
            calUtil.showMonth=1;
            calUtil.showYear+=1;
        }
        break;
    }
  },
  getDaysInmonth : function(iMonth, iYear){
   var dPrevDate = new Date(iYear, iMonth, 0);
   return dPrevDate.getDate();
  },
  bulidCal : function(iYear, iMonth) {
   var aMonth = new Array();
   aMonth[0] = new Array(7);
   aMonth[1] = new Array(7);
   aMonth[2] = new Array(7);
   aMonth[3] = new Array(7);
   aMonth[4] = new Array(7);
   aMonth[5] = new Array(7);
   aMonth[6] = new Array(7);
   var dCalDate = new Date(iYear, iMonth - 1, 1);
   var iDayOfFirst = dCalDate.getDay();
   var iDaysInMonth = calUtil.getDaysInmonth(iMonth, iYear);//最后一天的天数
   $api.setStorage('lastday', iDaysInMonth);

   var iVarDate = 1;
   var d, w;
   aMonth[0][0] = "日";
   aMonth[0][1] = "一";
   aMonth[0][2] = "二";
   aMonth[0][3] = "三";
   aMonth[0][4] = "四";
   aMonth[0][5] = "五";
   aMonth[0][6] = "六";
   for (d = iDayOfFirst; d < 7; d++) {
    aMonth[1][d] = iVarDate;
    iVarDate++;
   }
   for (w = 2; w < 7; w++) {
    for (d = 0; d < 7; d++) {
     if (iVarDate <= iDaysInMonth) {
      aMonth[w][d] = iVarDate;
      iVarDate++;
     }
    }
   }
   return aMonth;
  },
  ifHasSigned : function(signList,day){
  // console.log(signList);
   var signed = false;

   for (var i = 0; i < signList.length; i++) {
     if(signList[i] == day) {
    signed = true;
    break;
     }
   }
   return signed ;

  },
  drawCal : function(iYear, iMonth ,signList) {
   var myMonth = calUtil.bulidCal(iYear, iMonth);
   var htmls = new Array();
   htmls.push("<div class='sign_main' id='sign_layer'>");
   htmls.push("<div class='sign_succ_calendar_title'>");
   //htmls.push("<div class='calendar_month_next'>下月</div>");
   //htmls.push("<div class='calendar_month_prev'>上月</div>");
   htmls.push("<div class='calendar_month_span'></div>");
   htmls.push("</div>");
   htmls.push("<div class='sign_equal' id='sign_cal'>");
   htmls.push("<div class='sign_row'>");
   htmls.push("<div class='th_1 bold'>" + myMonth[0][0] + "</div>");
   htmls.push("<div class='th_2 bold'>" + myMonth[0][1] + "</div>");
   htmls.push("<div class='th_3 bold'>" + myMonth[0][2] + "</div>");
   htmls.push("<div class='th_4 bold'>" + myMonth[0][3] + "</div>");
   htmls.push("<div class='th_5 bold'>" + myMonth[0][4] + "</div>");
   htmls.push("<div class='th_6 bold'>" + myMonth[0][5] + "</div>");
   htmls.push("<div class='th_7 bold'>" + myMonth[0][6] + "</div>");
   htmls.push("</div>");
   var d, w;
   for (w = 1; w < 6; w++) {
    htmls.push("<div class='sign_row'>");
    for (d = 0; d < 7; d++) {

     var ifHasSigned = calUtil.ifHasSigned(signList,myMonth[w][d]);
     if(ifHasSigned && typeof(myMonth[w][d]) != 'undefined'){
      htmls.push("<div class='td_"+d+" on'>" + (!isNaN(myMonth[w][d]) ? myMonth[w][d] : " ") + "</div>");

     } else {

      htmls.push("<div class='td_"+d+" calendar_record'>" + (!isNaN(myMonth[w][d]) ? myMonth[w][d] : " ") + "</div>");
     }
    }
    htmls.push("</div>");
   }
   if(myMonth[5][6]&&myMonth[5][6]!=$api.getStorage('lastday')){//如果最后一行的最后一个数不是该月最后一个数，就加一行日历
       htmls.push("<div class='sign_row'>");
       for (d = 0; d < 7; d++) {

        var ifHasSigned = calUtil.ifHasSigned(signList,myMonth[6][d]);
        if(ifHasSigned && typeof(myMonth[6][d]) != 'undefined'){
         htmls.push("<div class='td_"+d+" on'>" + (!isNaN(myMonth[6][d]) ? myMonth[6][d] : " ") + "</div>");

        } else {

         htmls.push("<div class='td_"+d+" calendar_record'>" + (!isNaN(myMonth[6][d]) ? myMonth[6][d] : " ") + "</div>");
        }
       }
         htmls.push("</div>");
   }

   htmls.push("</div>");
   htmls.push("</div>");
   htmls.push("</div>");
   return htmls.join('');
  }
};
function qiandao(){
  var uid=$api.getStorage('uid');
  var id=$api.getStorage('bian');
  var da=new Date();
  if(!uid&&!id){
    alert("请先登录");
    return false;
  }
  var insertday=da.getDate();
  if(insertday<10){
    insertday="0"+insertday;
  }

  api.ajax({
      url: 'http://fx.kunkunma.com/fenxiao/singajax.php',
      method: 'get',
      data: {
          values: {
              uid: uid,
              id:id

          }
      }
  },function(jifen, err){
      if (jifen) {
              api.ajax({
                              url: 'http://fx.kunkunma.com/fenxiao/api/sing.php',
                              method: 'post',
                              data: {
                                  values: {
                                      id:id,
                                      day:insertday,
                                      jifen:jifen.yes,
                                      uid:uid
                                  }
                              },
                              dateType:'json'
                          },function(ret, err){
                              if (ret) {
                                if(ret['code'] == 2000){
                                  api.toast({
                                        msg: '签到成功，奖励'+jifen.yes+"积分",
                                        duration: 2000,
                                        location: 'middle'
                                  });
                                      $api.text($api.byId('qd'), '已签到');
                                        location.reload();
                                      //window.location.reload();
                                }else if(ret['code'] == 3000){
                                    alert('请勿再次签到!');
                                }else{
                                    alert('网络错误,请稍后再试!');
                                }
                              } else {
                                  alert('网络错误,请稍后再试!');
                              }
                          });
      } else {
          alert( JSON.stringify( err ) );
      }
  });

}
