function fnInitList() {
    fnGetList(true);
    fnInitVar();
    fnInitPullRefresh();
    fnInitPushRefresh();
    touxiang();
};


var list, dot;

function fnInitVar(){
    list = $api.byId('content');
    var template = $api.byId('template');
    if (template) {
        dot = doT.template(template.innerHTML);
    }
};

function fnInitPullRefresh() {
  api.setCustomRefreshHeaderInfo({
  bgColor: '#FFFFFF',
  isScale: false,
  refreshHeaderHeight: 100,
  loadAnimInterval:200,
  image: {
      pull: [
        'widget://image/refresh1.png',
      ],
      load: [
        'widget://image/refresh2.png',
      ]
  }
}, function() {
  api.refreshHeaderLoadDone();
  fnGetList(true);
  touxiang();
});
};

function fnInitPushRefresh() {
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        fnGetList(false);
    });
};

var LIMIT = 10;
var skip = 0,
    isEnd = false,
    isLoading = false;

function fnGetList(isPull) {
    if (isPull) {
        skip = 0;
        isEnd = false;
    }
    if (isEnd || isLoading) {
        return;
    }
    isLoading = true;
    api.showProgress({
        title: '读取中',
        modal: false
    });

    fnGetFriend(skip,LIMIT,function(ret, err) {
      if(ret){
        isLoading = false;
        api.hideProgress();
        api.refreshHeaderLoadDone();
        if (!ret || ret.data.length < LIMIT) {
            isEnd = true;
        }
        if(ret.code == 2000){
          skip += LIMIT;
          fnShowList(ret.data, isPull);
        }
      }
    });
};

function fnShowList(datas,isPull) {
    if (isPull) {
        list.innerHTML = dot(datas);
    } else {
        list.innerHTML += dot(datas);
    }
    fnReadyOpenWin();
};

function touxiang(){
  if($api.getStorage('name')){
      $api.html($api.dom('.name'),$api.getStorage('name'));
      $api.html($api.dom('.logo'),'<img src="'+$api.getStorage('logo')+'" alt=""/>');
  }
}
