function fnInitList() {
    fnGetList(true);
    fnInitVar();
    fnInitPullRefresh();
    fnInitPushRefresh();
};


var list, dot;

function fnInitVar(){
    list = $api.byId('content');
    var template = $api.byId('template');
    if (template) {
        dot = doT.template(template.innerHTML);
    }
};

function fnInitPullRefresh() {
  api.setCustomRefreshHeaderInfo({
  bgColor: '#FFFFFF',
  isScale: false,
  refreshHeaderHeight: 100,
  loadAnimInterval:200,
  image: {
      pull: [
        'widget://image/refresh1.png',
      ],
      load: [
        'widget://image/refresh2.png',
      ]
  }
}, function() {
  fnGetList(true);
  api.refreshHeaderLoadDone();
});
};


function fnInitPushRefresh() {
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        fnGetList(false);
    });
};

var LIMIT = 10;
var skip = 0,
    isEnd = false,
    isLoading = false;

function fnGetList(isPull) {
    if (isPull) {
        skip = 0;
        isEnd = false;
    }
    if (isEnd || isLoading) {
        return;
    }
    isLoading = true;
    api.showProgress({
        title: '读取中',
        modal: false
    });

    fnGetFriend(skip,LIMIT,function(ret, err) {
      if(ret){
        isLoading = false;
        api.hideProgress();
        api.refreshHeaderLoadDone();
        if (!ret || ret.data.length < LIMIT) {
            isEnd = true;
        }
        skip += LIMIT;
        fnShowList(ret.data, isPull);
      }
    });
};

function fnShowList(datas,isPull) {
    if (isPull){
        if(datas){
          list.innerHTML = dot(datas);
        }else{
          var html = '<div style="background-color:white;margin-top:30%;"><img src="../image/icon/face_icon01.png" style="max-width:40%;margin:auto;"><div style="margin:auto;max-width:40%;text-align:center;">您还没有晒单,赶紧晒单拿奖励吧~</div></div>';
          $api.html($api.byId('content'),html);
        }
    } else {
        list.innerHTML += dot(datas);
    }
    fnReadyOpenWin();
};

function fnGetFriend(skip,limit,callback) {
    api.ajax({
        url:'http://fx.kunkunma.com/fenxiao/api/myshare.php',
        method: 'post',
        timeout: 5,
        dataType: 'json',
        data:{
          values:{
            skip:skip,
            limit:limit,
            uid:$api.getStorage('uid'),
          }
        }
    }, function(ret, err) {
        callback(ret, err);
    });
};
